#include <iostream>

class MyClass {
public:
    MyClass() : value(0) {}  // Initialize value in constructor

    void useValue() {
        value = 10;  // Forward reference to 'value'
        printValue(); // Forward reference to 'printValue'
    }

    void printValue() const {
        std::cout << "Value: " << value << std::endl;
    }

private:
    int value;  // Defined after its use in useValue()
};

int main() {
    MyClass obj;
    obj.useValue();
    obj.printValue();

    return 0;
}
