#include <iostream>
#include <type_traits>

template<typename T>
struct Wrapper {
    T value;
    
    // Forward reference to is_integral
    void printInfo() {
        if (std::is_integral<T>::value) {
            std::cout << "Integral type" << std::endl;
        } else {
            std::cout << "Non-integral type" << std::endl;
        }
    }
};

int main() {
    Wrapper<int> intWrapper;
    Wrapper<double> doubleWrapper;
    
    intWrapper.printInfo();
    doubleWrapper.printInfo();
    
    return 0;
}
